## python-testscenarios 0.1

=== Makefile ===
PYTHONPATH:=$(shell pwd)/lib:${PYTHONPATH}
PYTHON ?= python

all:

check:
	PYTHONPATH=$(PYTHONPATH) $(PYTHON) -m testtools.run \
	    testscenarios.test_suite

clean:
	find . -name '*.pyc' -print0 | xargs -0 rm -f

TAGS: lib/testscenarios/*.py lib/testscenarios/tests/*.py
	ctags -e -R lib/testscenarios/

tags: lib/testscenarios/*.py lib/testscenarios/tests/*.py
	ctags -R lib/testscenarios/

.PHONY: all check clean

## python-testscenarios 0.4

=== debian/changelog ===
python-testscenarios (0.4-4) unstable; urgency=medium

  * Fixed typo in package description (Closes: #782526).
  * Added dh-python as build-depends.
  * Removed version for python-all and python3-all build-depends.
  * Standards-Version: 3.9.6.

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 May 2015 23:30:59 +0200

python-testscenarios (0.4-3) unstable; urgency=medium

  * Added Python 3 support.
  * Standards-Version: is now 3.9.5.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Feb 2014 22:09:26 +0800

python-testscenarios (0.4-2) unstable; urgency=low

  * Using debian-unstable as packaging branch.
  * Fixed python -> python-all build-depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 22 Jul 2013 15:43:59 +0800

python-testscenarios (0.4-1) unstable; urgency=low

  * New upstream release.
  * Package is now team maintained in PKG OpenStack.
  * debian/copyright now using 1.0 parsable format.
  * Now using 3.0 (quilt) source format.
  * Using debhelper and compat 9.
  * Using dh_python2 and not CDBS anymore.
  * Added VCS fields.
  * Added build-depends: python-setuptools.
  * Added a watch file.

 -- Thomas Goirand <zigo@debian.org>  Sat, 20 Jul 2013 17:29:59 +0000

python-testscenarios (0.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Convert to dh_python2 (Closes: #617035). 

 -- Andrea Colangelo <warp10@ubuntu.com>  Wed, 26 Jun 2013 11:15:38 +0200

python-testscenarios (0.2-1) unstable; urgency=low

  * New upstream release.

 -- Robert Collins <robertc@robertcollins.net>  Mon, 01 Feb 2010 17:39:07 +1100

python-testscenarios (0.1-1) unstable; urgency=low

  * New upstream release. Closes: #561644

 -- Robert Collins <robertc@robertcollins.net>  Sat, 19 Dec 2009 14:20:58 +1100

=== debian/control ===
Source: python-testscenarios
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Robert Collins <robertc@robertcollins.net>,
           Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-setuptools,
               python-testtools,
               python3-all,
               python3-setuptools,
               python3-testtools
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-testscenarios.git
Vcs-Git: git://anonscm.debian.org/openstack/python-testscenarios.git
Homepage: https://launchpad.net/testscenarios

Package: python-testscenarios
Architecture: all
Depends: python-testtools, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: Dependency injection for Python unittest tests - Python 2.x
 testscenarios provides clean dependency injection for Python unittest style
 tests. This can be used for interface testing (testing many implementations
 via a single test suite) or for classic dependency injection (provide tests
 with dependencies externally to the test code itself, allowing easy testing
 in different situations).
 .
 This package contains the Python 2.x module.

Package: python3-testscenarios
Architecture: all
Depends: python3-testtools, ${misc:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
Description: Dependency injection for Python unittest tests - Python 3.x
 testscenarios provides clean dependency injection for Python unittest style
 tests. This can be used for interface testing (testing many implementations
 via a single test suite) or for classic dependency injection (provide tests
 with dependencies externally to the test code itself, allowing easy testing
 in different situations).
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

%:
	dh $@  --with python2,python3

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-testscenarios; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-testscenarios; \
	done

=== debian/watch ===
version=3

http://pypi.python.org/packages/source/t/testscenarios/testscenarios-(.+).tar.gz

## python-testscenarios 0.5.0

=== Makefile ===
PYTHONPATH:=$(shell pwd):${PYTHONPATH}
PYTHON ?= python

all: check

check:
	PYTHONPATH=$(PYTHONPATH) $(PYTHON) -m testtools.run \
	    testscenarios.test_suite

clean:
	find . -name '*.pyc' -print0 | xargs -0 rm -f

TAGS: testscenarios/*.py testscenarios/tests/*.py
	ctags -e -R testscenarios/

tags: testscenarios/*.py testscenarios/tests/*.py
	ctags -R testscenarios/

release:
	python setup.py sdist bdist_wheel upload -s

.PHONY: all check release

=== requirements.txt ===
pbr >= 0.11
testtools

=== debian/changelog ===
python-testscenarios (0.5.0-5) unstable; urgency=medium

  * Add missing pbr (build-)depends (Closes: #1099276).

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 16:09:49 +0100

python-testscenarios (0.5.0-4) unstable; urgency=medium

  * Add extend-diff-ignore to ignore egg-info (Closes: #1045636).

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Aug 2023 15:50:10 +0200

python-testscenarios (0.5.0-3) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Remove Robert Collins from uploaders, as he has retired.  Closes: #920509

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Removed Python 2 support (Closes: #938214).
  * Add fix-Makefile-to-use-py3.patch.

 -- Thomas Goirand <zigo@debian.org>  Sat, 14 Sep 2019 18:58:09 +0200

python-testscenarios (0.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Sep 2018 17:11:06 +0200

python-testscenarios (0.5.0-1) experimental; urgency=medium

  * Building 0.5.0, as it's confusing: release on PyPi is 0.5.0, while the
    upstream tag is only 0.5.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Aug 2018 08:50:58 +0200

python-testscenarios (0.5-1) experimental; urgency=medium

  [ Daniel Baumann ]
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces
  * Fixed VCS URLs (https).
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Standards-Version is now 4.2.0.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Aug 2018 08:19:11 +0200

=== debian/control ===
Source: python-testscenarios
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 9),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-testtools,
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-testscenarios
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-testscenarios.git
Homepage: https://launchpad.net/testscenarios

Package: python3-testscenarios
Architecture: all
Depends:
 python3-pbr,
 python3-testtools,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: Dependency injection for Python unittest tests - Python 3.x
 testscenarios provides clean dependency injection for Python unittest style
 tests. This can be used for interface testing (testing many implementations
 via a single test suite) or for classic dependency injection (provide tests
 with dependencies externally to the test code itself, allowing easy testing
 in different situations).
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/testing-cabal/testscenarios.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python3

override_dh_auto_clean:
	rm -rf build
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2
